program Graph_25;
{
     
}
{$APPTYPE CONSOLE}

uses
  SysUtils,
  Assembly in '..\Common\Assembly.pas',
  Graph in '..\Common\Graph.pas',
  GrChars in '..\Common\GrChars.pas',
  Items in '..\Common\Items.pas',
  Root in '..\Common\Root.pas',
  SetList in '..\Common\SetList.pas',
  SetUtils in '..\Common\SetUtils.pas';

const CFile = 'Test_11d.txt';

var Gr : TGraph;      // 
    S, T : TNode;     //    
    Flow: integer;    //  
    st: string;
begin
  try
    //Assign(Output,'Out.txt'); Rewrite(Output);
    Gr:= TGraphChars.Load(CFile);
    Gr.Expo;
    //    
    (Gr as TGraphChars).LoadFlowData(CFile);
    S:= (Gr as TGraphChars).GetNode('A');
    T:= (Gr as TGraphChars).GetNode('I');
//repeat
    Flow:= Gr.CalcMaxFlow0(S, T);
    Writeln('Flow= ', Flow);
    Gr.ExpoLinksData;
    //Close(Output); Assign(Output,''); Rewrite(Output);
    Readln(st);
//until st<>'';
    Gr.Free;
  except
    on E:Exception do
      Writeln(E.Classname, ': ', E.Message);
  end;
end.
